{varType Skadmin\TournamentGame\Doctrine\TournamentBracketStage\ATournamentBracketStage $stage}

<div class="row">
    <div class="col-12 mb-4">
        <div class="card shadow">
            <div class="card-body">

                <div class="row">
                    <div class="col-12 text-right">
                        <a href="{$linkBack}" class="btn btn-xs btn-primary"><i class="fas fa-fw fa-chevron-left"></i> {_'tournament-game.bracket-stage-view.back'}</a>
                        <a href="{plink Component:default, 'package' => (new \Skadmin\TournamentGame\BaseControl()), render => 'edit', id => $stage->getBracket()->getTournament()->getId()}" class="btn btn-xs btn-outline-primary"><i class="fas fa-fw fa-trophy"></i> {_'tournament-game.bracket-stage-view.detail-tournament'}</a>
                        <a class="btn btn-xs btn-outline-primary" data-toggle="collapse" href="#participants" aria-expanded="false" aria-controls="collapseExample">
                            <i class="fad fa-fw fa-users"></i> {_'tournament-game.bracket-stage-view.participants-collapse'}
                        </a>
                        <a n:href="overgenerate!" class="btn btn-xs btn-outline-danger ajax" n:if="!$stage->isPublic()">
                            <i class="fad fa-fw fa-sync-alt mr-2"></i> {_'tournament-game.bracket-stage-view.overgenerate'}
                        </a>
                    </div>
                </div>

                <div class="row my-4">
                    <div class="col-12" n:snippet="snipTogglePublic">
                        <a n:href="togglePublic!" class="btn btn-lg btn-outline-{$stage->isPublic() ? 'danger' : 'success'} ajax w-100">
                            {if $stage->isPublic()}
                                <i class="fad fa-fw fa-eye-slash mr-2"></i> {_'tournament-game.bracket-stage-view.change-to-dispublic'}
                            {else}
                                <i class="fad fa-fw fa-eye mr-2"></i> {_'tournament-game.bracket-stage-view.change-to-public'}
                            {/if}
                        </a>
                    </div>
                </div>

                <div class="row collapse mt-4" id="participants">
                    <div class="col-12">
                        <h4 class="text-primary mb-2"><i class="fad fa-fw fa-users"></i> {_'tournament-game.bracket-stage-view.participants'}</h4>
                    </div>

                    <div class="col-12">
                        <div class="row row-cols-2 row-cols-sm-3 row-cols-md-4 row-cols-lg-5 row-cols-xl-6">
                            <div class="col-2 mt-3" n:foreach="$stage->getParticipants() as $participant">
                                <div class="card shadow h-100 text-center">
                                    <img n:img="$participant->getLogo()" class="card-img-top" alt="{$participant->getName()}">
                                    <div class="card-body text-primary">{$participant->getName()}</div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div id="bracket-view" class="brackets-viewer"></div>
            </div>
        </div>
    </div>
</div>

<script>
    var bvData = {$stageBracketViewerData};
    var baseUrl = {$baseUrl};
    var matchUrl = {plink Component:default package => new \Skadmin\TournamentGame\BaseControl(), render => 'edit-bracket-stage-match'};
    console.log(bvData);

    $(function () {
        {syntax off}
        var i18nCs = {
            "origin-hint": {
                "seed": "Seed {{position}}",
                "winner-bracket": "Loser of WB {{round}}.{{position}}",
                "winner-bracket-semi-final": "Loser of WB Semi {{position}}",
                "winner-bracket-final": "Loser of WB Final",
                "consolation-final": "Loser of Semi {{position}}",
                "grand-final": "Winner of LB Final"
            },
            "match-label": {
                "winner-bracket": "WB",
                "loser-bracket": "LB",
                "standard-bracket": "M",
                "standard-bracket-semi-final": "Semi {{matchNumber}}",
                "standard-bracket-final": "Final",
                "double-elimination": "{{matchPrefix}} {{roundNumber}}.{{matchNumber}}",
                "double-elimination-semi-final": "{{matchPrefix}} Semi {{matchNumber}}",
                "double-elimination-final": "{{matchPrefix}} Final",
                "consolation-final": "Třetí místo",
                "grand-final-single": "Grand finále",
                "grand-final": "GF Round {{roundNumber}}"
            },
            "match-status": {
                "locked": "Uzamčeno",
                "waiting": "Čeká",
                "ready": "Připraven",
                "running": "Probíhá",
                "completed": "Dohráno",
                "archived": "Archivováno"
            },
            "abbreviations": {
                "win": "W",
                "loss": "L",
                "forfeit": "F",
                "position": "P",
                "seed": "#"
            },
            "ranking": {
                "rank": {
                    "text": "#",
                    "tooltip": "Rank"
                },
                "id": {
                    "text": "Název",
                    "tooltip": "Název"
                },
                "played": {
                    "text": "P",
                    "tooltip": "Odehráno"
                },
                "wins": {
                    "text": "$t(abbreviations.win)",
                    "tooltip": "Výhra"
                },
                "draws": {
                    "text": "D",
                    "tooltip": "Draws"
                },
                "losses": {
                    "text": "$t(abbreviations.loss)",
                    "tooltip": "Losses"
                },
                "forfeits": {
                    "text": "$t(abbreviations.forfeit)",
                    "tooltip": "Forfeits"
                },
                "score-for": {
                    "text": "SF",
                    "tooltip": "Score For"
                },
                "score-against": {
                    "text": "SA",
                    "tooltip": "Score Against"
                },
                "score-difference": {
                    "text": "+/-",
                    "tooltip": "Score Difference"
                },
                "points": {
                    "text": "Pts",
                    "tooltip": "Points"
                }
            },
            "common": {
                "bye": "BYE",
                "best-of-x": "Bo{{x}}",
                "group-name": "Skupina {{groupNumber}}",
                "round-name": "Kolo {{roundNumber}}",
                "round-name-final": "Finálová skupina",
                "round-name-winner-bracket": "WB kolo {{roundNumber}}",
                "round-name-winner-bracket-final": "WB fináloví kolo",
                "round-name-loser-bracket": "LB kolo {{roundNumber}}",
                "round-name-loser-bracket-final": "LB finálové kolo"
            }
        };

        // You can manually add locales. English will be used as a fallback if keys are missing.
        // You can force browser language detection by setting the `i18nextLng` property to a locale key (ex: 'ru') in the localStorage.
        bracketsViewer.addLocale('cs', i18nCs);

        // This is optional. You must do it before render().
        bracketsViewer.setParticipantImages(bvData.participant.map(participant => ({
            participantId: participant.id,
            imageUrl: participant.logo ? baseUrl + '/' + participant.logo : '',
        })));

        bracketsViewer.onMatchClicked = function (match) {
            $.nette.ajax({url : matchUrl + match.id});
        }
        {/syntax}

        bracketsViewer.render({
            stages: bvData.stage,
            matches: bvData.match,
            matchGames: bvData.match_game,
            participants: bvData.participant,
        }, {
            selector: '#bracket-view',
            participantOriginPlacement: 'before',
            separatedChildCountLabel: true,
            showSlotsOrigin: true,
            showLowerBracketSlotsOrigin: true,
            highlightParticipantOnHover: true,
        });
    });
</script>